# Create Material

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/material/create-material`

### **Request Body**

&#x20;**Refer to :** [**common**](/remittance-api/common.md)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="179.80859375">Name</th><th width="118.5625">Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr><tr><td>transaction_type<mark style="color:red;">*</mark></td><td>Integer</td><td><p>Transaction Type </p><p><code>101-collection</code> </p><p><code>111-payment</code></p></td></tr><tr><td>business_type</td><td>Integer</td><td><p>Business type</p><p><code>10-goods trade</code></p><p><code>11-service trade</code></p><p><code>20-platform</code></p><p><code>21-platform independent</code></p><p>Mandatory if transaction_type is <code>101-collection</code></p></td></tr><tr><td>amount<mark style="color:red;">*</mark></td><td>string</td><td>Order amount</td></tr><tr><td>currency<mark style="color:red;">*</mark></td><td>string</td><td>Order currency</td></tr><tr><td>contract_no</td><td>string</td><td><p>Contract No.</p><p>Mandatory if Business type is <code>10-goods trade</code>  or</p><p><code>11-service trade</code></p></td></tr><tr><td>contract_date</td><td>string</td><td><p>Contract date</p><p>Mandatory if Business type is <code>10-goods trade</code>  or</p><p><code>11-service trade</code></p></td></tr><tr><td>buyer_name</td><td>string</td><td><p>Buyer name</p><p>Mandatory if Business type is <code>10-goods trade</code>  or</p><p><code>11-service trade</code></p></td></tr><tr><td>buyer_country</td><td>string</td><td><p>Buyer country</p><p>Mandatory if Business type is <code>10-goods trade</code>  or</p><p><code>11-service trade</code></p></td></tr><tr><td>platform_name</td><td>string</td><td><p>Platform name</p><p>Mandatory if Business type is <code>20-platform</code>  or</p><p><code>21-platform independent</code></p></td></tr><tr><td>payee_name</td><td>string</td><td><p>Payee name</p><p>Mandatory if transaction_type is <code>111-payment</code></p></td></tr><tr><td>file_ids<mark style="color:red;">*</mark></td><td>list&#x3C;long></td><td><p>File IDS </p><p>Refer to <a href="https://docs.pagsmile.com/remittance-api/business/reference/upload-material-document">Upload File</a></p></td></tr></tbody></table>

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":{},
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

<table><thead><tr><th width="255.75390625">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>material_id<mark style="color:red;">*</mark></td><td>long</td><td>Material ID</td></tr></tbody></table>

### Example <a href="#example" id="example"></a>

```

curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/material/create-material' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/material/create-material.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
